use indradb::Datastore;
use uuid::Uuid;

#[derive(Clone)]
pub struct User<T>
where
    T: Datastore,
{
    pub datastore: T,
    pub id: Uuid,
    pub external_id: Option<String>,
}

impl<T: Datastore> User<T> {
    pub fn property(&self, key: String) -> String {}
}

pub struct Team {
    external_id: Option<String>,
}
